myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "vijay garla (JIRA)" <...@myfaces.apache.org>
Subject [jira] Created: (MYFACES-867) myfaces examples support for JSP 1.2 / Servlet 2.3 containers
Date Wed, 23 Nov 2005 14:58:36 GMT
myfaces examples support for JSP 1.2 / Servlet 2.3 containers
-------------------------------------------------------------

         Key: MYFACES-867
         URL: http://issues.apache.org/jira/browse/MYFACES-867
     Project: MyFaces
        Type: Bug
  Components: General  
    Versions: 1.1.1    
 Environment: Win XP SP 2, WebLogic Server 8.1 sp4
    Reporter: vijay garla


Bug was previously filed (key is MYFACES-602) by somebody else, and marked invalid: my error
message and configuration is identical.  This is in fact either a documentation or a packaging
error.

jsp-2.0.jar is required for running myfaces on JSP 1.2 / Servlet 2.3 containers (wls 8.1,
tomcat 4.x).  this jar is no longer shipped with the myfaces examples, and is not easy to
find - I had to download the myfaces 1.0.8 distro to get the jsp-2.0.jar.

Either
- include required dependencies in the examples
or
- update the documentation
In general, there is little accurate documentation regarding getting myfaces to run on anything
other than Tomcat 5.x.   The only other source of documentation is the wiki, and this is simply
incorrect wrt myfaces 1.1.1 (see http://wiki.apache.org/myfaces/Installation_and_Configuration):
it assumes that jsp-2.0.jar is included in the myfaces example distro.  This is not the case.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message